C*************************************************************************
	SUBROUTINE SHOWSUB(dname,d_ln,sname,s_ln,filename,ln,
	1	bitmap,bitmap_ln,wavel)
C*************************************************************************
C Set value(s) for SEARCH parameters
C*************************************************************************
	CHARACTER*(*) filename,sname,dname,bitmap
	INTEGER ln,s_ln,d_ln,bitmap_ln
	REAL WAVEL
	CHARACTER*8 FOMLBL(4)/'STANDARD','NO PEAK ','NO INTEN','FULL PAT'/
	
	include '[-.shared]jcpds.parms'
	include 'SEARCH.cmn'
	include 'SEARCH.par'
	include '[-.shared]TBL.cmn'

	real pos(M$PKS)

71	format(2a)
	write (LO,71) ' Title: ',TITLES

	write (LO,71) ' STARTFILE:'
	IF (NSET.EQ.-1) THEN
	  WRITE(LO,'(a,i7,2a)') '   Will scan',NPHASE,
	1	' entries in user subfile: ',bitmap(1:bitmap_ln)
	ELSE
	  if (nset .eq. 0) nset = max_sub + 3
	  WRITE(LO,'(a,i7,4a)') '   Will scan',NPH1,
	1	' entries in the "',SUBLBL(nset)(:lench(SUBLBL(nset))),
	2	'" subfile'
	ENDIF

C get the list of allowed peaks, set OBH, OBL
	call usepeak
	write (LO,71) 
	write (LO,71) ' SEARCH DATA: '
	WRITE (LO,'(3(a,i4))')  '   Of',numob,' peaks,', 
	1	nobs, ' will be used in the search:'
	do i=1,nobs
	  if (wavel .gt. 0) then 	
	    flag1 = dtott(dobs(i),pos(i),wavel)
	  else
	    pos(i) = dobs(i)
	  endif
	enddo
	write(lo,21) (pos(i),iobs(i),i=1,nobs)
21	format(6(2x,f6.2,'(',i3,')'))
	IF (d_ln .gt. 0) WRITE (LO,71) '   Diffractogram file: ',
	1	DNAME(1:d_ln)
	call igndsp(wavel)
	call terase(ICRT,lo,li)

	write (LO,71) ' OVERALL PARAMETERS:'
	WRITE (LO,'(a)') '   Search Name:  '//SNAME(1:s_ln)
	write (lo,'(a,f6.3,a)') '   DEL_2THETA:  ',d2t,
	1	' (max position discrepancy in degrees 2Theta -- CuKa1)'

	write (LO,71)
	write (LO,71) ' REDUCE STEP PARAMETERS:'
	write(lo,'(a)') '  Required Lines:'
	if (pindex .ge. 100) THEN 
	  WRITE (LO,'(a)') 
	1	'     Observed peaks will not be located in a peak index'
	elseif (pindex .lt. 0) THEN 
	  WRITE (LO,'(a,i3,a)') 
	1	'     Observed peaks above',pimin,
	2	'% will be located in the "3 Strongest" Peaks Index'
	ELSE
	  WRITE (LO,'(a,i3,a,i2,a)') 
	1	'     Observed peaks above',pimin,
	2	'% will be located in the "',
	1	pindex,'% & Above" Peak Index'
	ENDIF
	WRITE (LO,'(a,i3,a,i2,a)') '     (Req_Index =',pindex,
	1	',  R_Imin=',pimin,')'
	write(lo,'(a)') ' ','  Forbidden Lines:'
	if (iindex .ge. 100) THEN 
	    WRITE (LO,'(2a)') 
	1	'     No rejection of patterns based on presence of ',
	2	'strong peaks'
	ELSE
	  if (iindex .lt. 0) THEN 
	    WRITE (LO,'(2a)') 
	1	'     Patterns will be rejected if peaks in the ',
	1	'"3 Strongest" Peaks Index are'
	  ELSE
	    WRITE (LO,'(a,i2,a)') 
	1	'     Patterns will be rejected if peaks in the "',
	2	iindex,'% & Above" Peak Index are'
	  ENDIF
	  WRITE (LO,'(a,f6.2,a,i3,a)') 
	1	'     more than',FFWHM,
	1	' degrees 2Theta (CuKa1) from all observed peaks above',
	2	iimin,'%'
	ENDIF
	WRITE (LO,'(a,i3,a,i2,a,f6.2,a)') '     (Forbid_Index =',iindex,
	1	',  F_Imin=',iimin,',  FWHM=',FFWHM,')'

	write (LO,71) 
	call terase(ICRT,lo,li)

	write (LO,71) ' MATCH STEP PARAMETERS:'
	write (lo,240) JCMSMX,imin,MINMATCH,iomin,
	1	NINT(MINMATCH*(nobs1/100.)),mphase
240	Format('   No more than',i4,
	1	' (DB_max_miss) JCPDS-ICDD lines above',/,'    '
	1	i3,'% rel Int. (DB_min_int) may be unmatched.',//,
	2	'   At least',i3,
	2	'% (OBS_min_lines) of the observed lines above',/,
	4	'    ',i4,'% rel Int. (OBS_min_int) [',i4,
	4	' peaks] must be matched.',
	5	//,'   The MATCH step will be ended early if',i6,
	5	' (MAX_hits) entries are found')
	write (LO,71) 
	write (LO,71) ' REPORT STEP PARAMETERS:'
	write (lo,241) fomlbl(NFOM+1),NFOM
241	FORMAT('   FOM ranking type: ',a,'  (Calc_type =',i2,')')
	IF (nsort .lt. 0) then 
	  write (lo,242) 'No sorting for report',-1
242	  FORMAT(3x,a,'    (Num_Sort=',i2,')')
	ELSEIF (nsort .eq. 0) then 
	  write (lo,242) 'Sort all "hits" in report',0
	ELSE
	  write (lo,243) fomlbl(NFOM+1),'Sort the best',NSORT,
	1	' "hits" in the report'
243	  FORMAT(3x,a,i4,a,'    (Num_Sort=',i3,')')
	ENDIF
	write (LO,71) 
	CALL PS_PAUSE(PROMPT)

	RETURN
	END
